package org.chenyang.http.message;

import org.chenyang.http.Header;
import org.chenyang.http.ParseException;
import org.chenyang.http.ProtocolVersion;
import org.chenyang.http.RequestLine;
import org.chenyang.http.StatusLine;
import org.chenyang.http.util.CharArrayBuffer;

public interface LineParser {
   ProtocolVersion parseProtocolVersion(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   boolean hasProtocolVersion(CharArrayBuffer var1, ParserCursor var2);

   RequestLine parseRequestLine(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   StatusLine parseStatusLine(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   Header parseHeader(CharArrayBuffer var1) throws ParseException;
}
